/****************************************************************************************
|  Description: operating system source file
|    File Name: os.c

|
|----------------------------------------------------------------------------------------
|                          C O P Y R I G H T
|----------------------------------------------------------------------------------------
|     Copyright (c) 2012 by Feaser     http://www.feaser.com     All rights reserved
|
|   This software is the property of Feaser. The source and compiled code may only be 
|        used on the Olimex EM32G880F128-STK board (http://www.olimex.com/dev).
| 
|      This copyright notice may not be removed from the source code nor changed.
|
|   This software has been carefully tested, but is not guaranteed for any particular
| purpose. The author does not offer any warranties and does not guarantee the accuracy,
|   adequacy, or completeness of the software and is not responsible for any errors or
|              omissions or the results obtained from use of the software.
|
****************************************************************************************/


/****************************************************************************************
* Include files
****************************************************************************************/
#include "header.h"                                  /* generic header file            */


/****************************************************************************************
** NAME:           main
** PARAMETER:      none
** RETURN VALUE:   program return code.
** DESCRIPTION:    This is the entry point for the software program and is called by the
**                 reset ISR after the microcontroller is initialized.
**
****************************************************************************************/
int main(void)
{
  /* initialize the hardware module */
  HwInit();
  /* create the application task */
  xTaskCreate(AppCtrlTask, (signed char *) "AppCtrlTask", configMINIMAL_STACK_SIZE, 
              NULL, APP_CTRL_TASK_PRIO, NULL);
  /* start the scheduler */
  vTaskStartScheduler();
  /* code should never get here */
  for (;;)
  {
    ;
  }
  return 0;
} /*** end of main ***/


/*********************************** end of os.c ***************************************/
